Subject: Re: bug#27080: ¨make install" fails because of missing gawk

From: [email-masked] (Ludovic Courtès)
Date: Sun, 28 May 2017 22:28:41 +0200

Konrad Hinsen <[email-masked]> skribis:

> In order to start from a clean slate, I now did
>
>   guix environment guix
>   make distclean
>   ./bootstrap
>   ./configure --prefix=/opt/guix --localstatedir=/var
>   make check
>   sudo make install
>
> This fails even earlier, complaining about a missing makeinfo:
>
>  make[2]: Entering directory '/home/hinsen/Development/guix'
>    MAKEINFO doc/guix.info
>  /home/hinsen/Development/guix/build-aux/missing: line 81: makeinfo:
> command not found
>
> Checking config.log, I see that indeed makeinfo has not been found:
>
>  MAKEINFO='${SHELL} /home/hinsen/Development/guix/build-aux/missing
> makeinfo'

[...]

> However, config.log says:
>
>  configure:2900: checking for gawk
>  configure:2916: found
> /gnu/store/2kgp5d4wh40b49gp4qwqh2b4il29gq6g-profile/bin/gawk
>  configure:2927: result: gawk
>
> and Makefile contains
>
>  AWK = gawk
>
> Next, I replaced this line by
>
>  AWK = /gnu/store/2kgp5d4wh40b49gp4qwqh2b4il29gq6g-profile/bin/gawk
>
> and re-ran "make install". Success!

Could it be that there was a cache file here (‘config.cache’, as created
by “./configure -C”)?

Ludo’.